package it.unisannio.ding.ids.wedroid.app;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import it.unisannio.ding.ids.wedroid.app.util.SharedPreferenceHelper;
import it.unisannio.ding.ids.wedroid.app.view.BoardViewActivity;

public class DriverActivity extends AppCompatActivity {

    SharedPreferenceHelper sharedPreferences;
    EditText idBoard;
    Button send;

    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        sharedPreferences = new SharedPreferenceHelper(this);

        String baseUrl = sharedPreferences.getBaseUrl();
        String token = sharedPreferences.getToken();
        String userId = sharedPreferences.getUserId();

        sharedPreferences.setBaseUrl("https://board.norangeb.it/");
        sharedPreferences.setToken("4waGrVlk0fkLhiQRDgN_rkbIamp4IyB6mThS0IpKbPx");
        sharedPreferences.setUserId("");

        idBoard = findViewById(R.id.idBoard);

        send= findViewById(R.id.send);
        send.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                Intent i = new Intent(getApplicationContext(), BoardViewActivity.class);
                i.putExtra("idBoard", idBoard.getText().toString());
                startActivity(i);
            }
        });
    }
}
